# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	french dictionary for words
Name:		wfrench
Version:	1.2.4
Release:	alt1_1
License:	GPLv2+
Group:		Text tools
Source0:	http://http.debian.net/debian/pool/main/w/%{name}/%{name}_%{version}.orig.tar.gz
BuildArch:	noarch
Source44: import.info

%description
French dictionary for words

%prep
%setup -q

#%build
#make

%install
mkdir -p  $RPM_BUILD_ROOT/%{_datadir}/dict
perl -p -e "s~e\'~é~g;s~e\`~è~g;s~e\^~ê~g;s~a\`~à~g;s~a\^~â~g;s~i\^~î~g;s~o\^~ô~g;s~U\`~ù~g;s~u\^~û~g;s~c,~ç~g;s~E\'~É~g;s~E\`~È~g;s~E\^~Ê~g;s~A\`~À~g;s~A\^~Â~g;s~I\^~Î~g;s~O\^~Ô~g;s~u\`~Ù~g;s~U\^~Û~g;s~C,~ç~g" -e ';s~e"~ë~g;s~a"~ä~g;s~i"~ï~g;s~o"~ö~g;s~u"~ü~g;s~E"~Ë~g;s~A"~Ä~g;s~I"~Ï~g;s~O"~Ö~g;s~U"~Ü~g' dico > $RPM_BUILD_ROOT/%{_datadir}/dict/french

%post
ln -sf %{_datadir}/dict/french %{_datadir}/dict/web2

%files
%{_datadir}/dict/french


%changelog
* Sat Oct 27 2018 Igor Vlasenko <viy@altlinux.ru> 1.2.4-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_7
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_6
- new version

